var xmlt,isIE;
var mdiv=document.createElement("div"),timeOut=null;
function rmtips(){
	try {
		if(timeOut){window.clearTimeout(timeOut);timeOut=null}
		if(mdiv){document.body.removeChild(mdiv);}
	}catch(e){
		//alert(e);
	}
		
}

function ycrmtips(){
	window.clearTimeout(timeOut);
	timeOut=window.setTimeout('rmtips()',100);
}

function _g(id){return document.getElementById(id)}
function gL(x){var l=0;while(x){l+=x.offsetLeft;x=x.offsetParent;}return l}
function gT(x){var t=0;while(x){t+=x.offsetTop;x=x.offsetParent;}return t}
 
//经停 stop  200 PEK_CAN_CA_CA3500
//机型 flight 300 733


//经停 stop  200 PEK_CAN_CA_CA3500
//机型 flight 300 733

function ShowGetInfo(obj,type,width,str){
	var xml=null;
	 if(window.XMLHttpRequest)
		xml = new XMLHttpRequest();
	 else if(window.ActiveXObject)
		xml = new ActiveXObject("Microsoft.XMLHTTP");
		xml.onreadystatechange = function(){
			//alert(xml.responseText);
			if(xml.readyState == 4){
				if(xml.status == 200){	
				//alert(xml.responseText);
				//window.clipboardData.setData("text",xml.responseText);
				    tips(obj,xml.responseText,width,10,20);
					}
				}
		}
		 xml.open("POST","GetInfo.asp?nocache="+Math.random(),false);
		 xml.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		 xml.send("type="+type+"&str="+str);
}

//动态生成提示框
function tips(a,b,c,e,f){
	    var html='';
		mdiv.className='zn_room_tips1';
		mdiv.style.width=c+'px'
		mdiv.style.left=(gL(a)-parseInt(mdiv.style.width)/2+e)+'px';		
	    html+=b;
	    mdiv.innerHTML=html;
	    rmtips();		
	    a.onmouseout=ycrmtips;
	    document.body.appendChild(mdiv);	
	    mdiv.style.top=(gT(a)+f)+'px';
}

